osgPresentation::SlideShowConstructor::FontData Struct Reference

`#include <SlideShowConstructor>`

## Public Member Functions

| FontData ()

## Public Attributes

std::string | font
osgText::Text::Layout | layout
osgText::Text::AlignmentType | alignment
osgText::Text::AxisAlignment | axisAlignment
osgText::Text::CharacterSizeMode | characterSizeMode
float | characterSize
float | maximumHeight
float | maximumWidth
osg::Vec4 | color

## Constructor & Destructor Documentation

## FontData()

osgPresentation::SlideShowConstructor::FontData::FontData | ( |  | ) |

inline

References alignment, axisAlignment, characterSize, characterSizeMode, color, font, layout, maximumHeight, and maximumWidth.

## Member Data Documentation

## alignment

osgText::Text::AlignmentType osgPresentation::SlideShowConstructor::FontData::alignment

Referenced by FontData().

## axisAlignment

osgText::Text::AxisAlignment osgPresentation::SlideShowConstructor::FontData::axisAlignment

Referenced by FontData().

## characterSize

float osgPresentation::SlideShowConstructor::FontData::characterSize

Referenced by FontData().

## characterSizeMode

osgText::Text::CharacterSizeMode osgPresentation::SlideShowConstructor::FontData::characterSizeMode

Referenced by FontData().

## color

osg::Vec4 osgPresentation::SlideShowConstructor::FontData::color

Referenced by FontData().

## font

std::string osgPresentation::SlideShowConstructor::FontData::font

Referenced by FontData().

## layout

osgText::Text::Layout osgPresentation::SlideShowConstructor::FontData::layout

Referenced by FontData().

## maximumHeight

float osgPresentation::SlideShowConstructor::FontData::maximumHeight

Referenced by FontData().

## maximumWidth

float osgPresentation::SlideShowConstructor::FontData::maximumWidth

Referenced by FontData().

The documentation for this struct was generated from the following file:

- SlideShowConstructor